Bug 311241 - Krita's slider spin box cannot be adjusted with mouse wheel
Summary: Krita's slider spin box cannot be adjusted with mouse wheel
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: git master (please specify the git hash!)
Platform: unspecified Linux
: NOR minor
Target Milestone: ---
Assignee: Halla Rempt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-06 07:34 UTC by Dmitry Kazakov
Modified: 2013-10-09 07:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Mouse Wheel functionality added to Auto Brush Widget. (7.44 KB, patch)
2013-04-04 22:33 UTC, Sahil
Details
Wheel Event now works throughout the widget. (741 bytes, patch)
2013-10-09 06:58 UTC, Salil Kapur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Kazakov 2012-12-06 07:34:49 UTC
In most of the KDE applications the value of sliders can be changed with the mouse wheel. The sliders which we use in brush presets dialog do not support it. That is scrollong the wheel above them does nothing.
Comment 1 Halla Rempt 2012-12-06 08:47:45 UTC
Git commit dd160d8175b0a4317aa8b4fd537f7513d4d48813 by Boudewijn Rempt.
Committed on 06/12/2012 at 09:48.
Pushed by rempt into branch 'master'.

Add wheelevent code to the slider/spinbox

However, this still doesn't work in the brush editor popup.

M  +18   -5    krita/ui/widgets/kis_slider_spin_box.cpp
M  +1    -0    krita/ui/widgets/kis_slider_spin_box.h

http://commits.kde.org/calligra/dd160d8175b0a4317aa8b4fd537f7513d4d48813
Comment 2 Sahil 2013-04-04 22:33:25 UTC
Created attachment 78648 [details]
Mouse Wheel functionality added to Auto Brush Widget.
Comment 3 Halla Rempt 2013-04-05 19:23:03 UTC
Git commit 9e448fe844b4e1b9d733b13b72d6396d45f4afaa by Boudewijn Rempt.
Committed on 05/04/2013 at 21:21.
Pushed by rempt into branch 'master'.

Patch by Sahil
CCMAIl:nagpal.sahil01@gmail.com

Fixes using the mousewheel in the superslider

M  +80   -7    krita/plugins/paintops/libpaintop/kis_auto_brush_widget.cpp
M  +9    -2    krita/plugins/paintops/libpaintop/kis_auto_brush_widget.h
M  +3    -1    krita/plugins/paintops/libpaintop/kis_brush_selection_widget.cpp

http://commits.kde.org/calligra/9e448fe844b4e1b9d733b13b72d6396d45f4afaa
Comment 4 Salil Kapur 2013-10-09 06:58:29 UTC
Created attachment 82739 [details]
Wheel Event now works throughout the widget.
Comment 5 Halla Rempt 2013-10-09 07:39:15 UTC
Git commit 7494b9f32d2e50e6735160b31b87569a42bdbf36 by Boudewijn Rempt.
Committed on 09/10/2013 at 07:35.
Pushed by rempt into branch 'master'.

update the slider when scrolling with the wheel

Patch Salil Kapur

CCMAIL:salilkapur93@gmail.com

M  +1    -0    krita/ui/widgets/kis_slider_spin_box.cpp

http://commits.kde.org/calligra/7494b9f32d2e50e6735160b31b87569a42bdbf36